Skip to main content
POST
/
avatar-videos
/
lipsync
Lipsync a video
curl --request POST \
  --url https://api.smartlyq.com/v1/avatar-videos/lipsync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "avatar_id": "<string>",
  "audio_url": "<string>",
  "quality": "speed",
  "title": "<string>"
}
'
{
  "success": false,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "meta": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Body

application/json
avatar_id
string
required

Avatar id from GET /v1/avatar-videos/avatars.

audio_url
string
required

URL of the audio to lipsync.

quality
enum<string>
default:speed
Available options:
speed,
precision
title
string

Response

Accepted — poll GET /v1/avatar-videos/{uid} for result